# enable python3 on fedora
%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

%global srcname pyzabbix
%global commit aed72dfe30cd5f8262013af73356a76924cbeb83

Name:           python-pyzabbix
Version:        0.7.4
Release:        3%{?dist}
Summary:        PyZabbix is a Python module for working with the Zabbix API

# license is in README.markdown
License:        LGPLv2+
URL:            https://github.com/lukecyca/pyzabbix
Source0:        https://github.com/lukecyca/pyzabbix/archive/%{commit}/%{srcname}-%{commit}.tar.gz#/%{srcname}-%{commit}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-httpretty
BuildRequires:  python2-nose
BuildRequires:  python2-requests
BuildRequires:  python2-setuptools
%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3-httpretty
BuildRequires:  python3-requests
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
%endif


%description
%{summary}.


%package -n python2-%{srcname}
Summary:        PyZabbix is a Python module for working with the Zabbix API
License:        LGPLv2
Requires:       python2-requests
%{?python_provide:%python_provide python2-%{srcname}}


%description -n python2-%{srcname}
%{summary}.


%if %{with python3}
%package -n python3-%{srcname}
Summary:        PyZabbix is a Python module for working with the Zabbix API
License:        LGPLv2
Requires:       python3-requests
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{srcname}
%{summary}.
%endif


%prep
%autosetup -n %{srcname}-%{commit}
sed -i 's/"httpretty<0.8.7",/"httpretty",/' setup.py


%build
%py2_build

%if %{with python3}
%py3_build
%endif


%install
%py2_install

%if %{with python3}
%py3_install
%endif


%check
%{__python2} setup.py nosetests

%if %{with python3}
%{__python3} setup.py nosetests
%endif


%files -n python2-%{srcname}
%doc README.markdown examples/
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py2.?.egg-info


%if %{with python3}
%files -n python3-%{srcname}
%doc README.markdown examples/
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py3.?.egg-info
%endif


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.7.4-2
- Rebuilt for Python 3.7

* Tue Feb 13 2018 Piotr Popieluch <piotr1212@gmail.com> - 0.7.4-1
- Update to 0.7.4

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 30 2017 Piotr Popieluch <piotr1212@gmail.com> - 0.7.3-9
- Update to new package guidelines

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.7.3-7
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Nov 06 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.7.3-3
- Rebuilt for Python 3.5

* Tue Aug 25 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.7.3-2
- Enable tests for epel

* Fri Jul 03 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.7.3-1
- Update to 0.7.3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 19 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.7.2-2
- Explicitly name BuildRequires: python-setuptools
- Disabled tests for EPEL

* Thu Feb 12 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.7.2-1
- Initial package
